Create a magic link for a patient
POST /businesses/{businessId}/patients/{patientId}/magic-links
POST
/businesses/{businessId}/patients/{patientId}/magic-links
Create a magic link for a patient. The returned URL authenticates the patient and redirects them to the specified URL.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” businessId
required
string format: uuid
Business ID
patientId
required
string format: uuid
Patient ID
Request Body required
Section titled “Request Body required ”object
redirectUrl
required
URL to redirect the patient to after authentication. Must be a valid Upvio domain.
string format: uri
Responses
Section titled “ Responses ”Magic link created
object
data
object
id
required
The magic link ID.
string
url
required
The magic link URL that authenticates the patient.
string format: uri
redirectUrl
required
The URL the patient is redirected to after authentication.
string format: uri
createdAt
required
Time when the resource was created (ISO 8601 format).
string format: date-time
expiresAt
required
When the magic link expires.
string format: date-time
Bad Request
Unauthorized
Patient not found